IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[PMX_SP_LINO_PalletLabel]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[PMX_SP_LINO_PalletLabel]
GO

-- =============================================
-- Author:		Produmex
-- Create date: 
-- Description:	Pallet Label Lino
-- =============================================
CREATE PROCEDURE [dbo].[PMX_SP_LINO_PalletLabel] 
	-- Parameters for the stored procedure
	@luid int = NULL,
	@pickListDocEntry int = NULL
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;



	SELECT     DISTINCT dbo.PMX_PLHE.CardCode, dbo.PMX_PLHE.ShipToAddress, dbo.PMX_PLHE.ShipToCode, dbo.PMX_PLHE.DueDate, dbo.PMX_PLHE.CardName, 
						  dbo.PMX_PLHE.DocEntry
	FROM         dbo.PMX_LPLM INNER JOIN
						  dbo.PMX_MVLI ON dbo.PMX_LPLM.MoveDocEntry = dbo.PMX_MVLI.DocEntry AND 
						  dbo.PMX_LPLM.MoveLineNum = dbo.PMX_MVLI.LineNum INNER JOIN
						  dbo.PMX_PLHE ON dbo.PMX_LPLM.PickListDocEntry = dbo.PMX_PLHE.DocEntry
	WHERE dbo.PMX_MVLI.DestLogUnitIdentKey = @luid OR dbo.PMX_PLHE.DocEntry = @pickListDocEntry



	
END