SELECT T6.U_Name AS UserName, T1.ItemCode, T1.Dscription AS ItemName, T2.Quantity, T1.Uom, 
T8.DocNum AS SalesDeliveryNoteDocNum, T7.SalesDeliveryNoteLineLineNum, T5.DocNum AS SalesOrderDocNum, T4.BaseLine AS SalesOrderLineNum, 
T1.QuantityPerUom, T2.PickListDocEntry, T2.PickListLineNum, T2.MoveDocEntry, T2.MoveLineNum
FROM PMX_PIOP T0
INNER JOIN PMX_MVLI T1 ON T0.MoveDocEntry = T1.DocEntry AND T0.MoveLineNum = T1.LineNum
INNER JOIN PMX_LPLM T2 ON T2.MoveDocEntry = T1.DocEntry AND T2.MoveLineNum = T1.LineNum
INNER JOIN PMX_PLLI T3 ON T2.PickListDocEntry = T3.DocEntry AND T2.PickListLineNum = T3.LineNum 
INNER JOIN PMX_PLPL T4 ON T4.DocEntry = T3.BaseEntry AND T4.LineNum = T3.BaseLine AND T3.BaseType = 'PMX_PLPH'
INNER JOIN ORDR T5 ON T5.DocEntry = T4.BaseEntry AND T4.BaseType = '17'
LEFT JOIN OUSR T6 ON T0.ExecutedByUser = T6.Internal_K
LEFT JOIN PMX_DLPL T7 ON T2.PickListDocEntry = T7.PickListLineDocEntry AND T2.PickListLineNUm = T7.PickListLineLineNum
LEFT JOIN ODLN T8 ON T7.SalesDeliveryNoteLineDocEntry = T8.DocEntry
--WHERE (T6.U_Name = '[%0]' OR '[%0]' = '') AND (T8.DocNum = [%1] OR [%1] = 0)
